org.apache.uima.analysis_component

## Class JCasAnnotator_ImplBase

- java.lang.Object
- - org.apache.uima.analysis_component.AnalysisComponent_ImplBase
  - - org.apache.uima.analysis_component.Annotator_ImplBase
    - - org.apache.uima.analysis_component.JCasAnnotator_ImplBase

- All Implemented Interfaces:
    AnalysisComponent

      public abstract class JCasAnnotator_ImplBase
      extends Annotator_ImplBase

  Base class to be extended by Annotators that use the `JCas` interface. An Annotator is an `AnalysisComponent` that may modify its input CAS, but never creates any new CASes as output.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JCasAnnotator_ImplBase()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<JCas>` | `getRequiredCasInterface()` Returns the specific CAS interface that this AnalysisComponent requires the framework to pass to its `AnalysisComponent.process(AbstractCas)` method.
    `void` | `process(AbstractCas aCAS)` Inputs a CAS to the AnalysisComponent.
    `abstract void` | `process(JCas aJCas)` This method should be overriden by subclasses.

    - ### Methods inherited from class org.apache.uima.analysis_component.Annotator_ImplBase

      `getCasInstancesRequired, hasNext, next`

    - ### Methods inherited from class org.apache.uima.analysis_component.AnalysisComponent_ImplBase

      `batchProcessComplete, collectionProcessComplete, destroy, getContext, getLogger, getResultSpecification, initialize, reconfigure, setResultSpecification`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JCasAnnotator_ImplBase

          public JCasAnnotator_ImplBase()

  - ### Method Detail

    - #### getRequiredCasInterface

          public Class<JCas> getRequiredCasInterface()

      Description copied from interface: `AnalysisComponent`
      Returns the specific CAS interface that this AnalysisComponent requires the framework to pass to its `AnalysisComponent.process(AbstractCas)` method.
      Returns:
        the required CAS interface. This must specify a subtype of `AbstractCas`.

    - #### process

          public void process(AbstractCas aCAS)
                       throws AnalysisEngineProcessException

      Description copied from interface: `AnalysisComponent`
      Inputs a CAS to the AnalysisComponent. The AnalysisComponent "owns" this CAS until such time as `AnalysisComponent.hasNext()` is called and returns false or until `process` is called again (see class description).
      Parameters:
        `aCAS` - A CAS that this AnalysisComponent should process. The framework will ensure that aCAS implements the specific CAS interface specified by the `AnalysisComponent.getRequiredCasInterface()` method.
      Throws:
        `AnalysisEngineProcessException` - if a problem occurs during processing

    - #### process

          public abstract void process(JCas aJCas)
                                throws AnalysisEngineProcessException

      This method should be overriden by subclasses. Inputs a JCAS to the AnalysisComponent. The AnalysisComponent "owns" this JCAS until such time as `Annotator_ImplBase.hasNext()` is called and returns false (see `AnalysisComponent` for details).
      Parameters:
        `aJCas` - a JCAS that this AnalysisComponent should process.
      Throws:
        `AnalysisEngineProcessException` - if a problem occurs during processing

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.